yum update confilcts with libvirt

General support questions including new installations

yum update confilcts with libvirt

Postby blackc2004 » 2012/02/29 20:17:48

Hi,

I am trying to do a yum update on my server but am getting the following errors:

Transaction Check Error:
file /usr/bin/virsh from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/bin/virt-xml-validate from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/lib64/libvirt.so.0 from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/libvirt/schemas/capability.rng from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/libvirt/schemas/domain.rng from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/libvirt/schemas/interface.rng from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/libvirt/schemas/network.rng from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/libvirt/schemas/nodedev.rng from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/libvirt/schemas/storagepool.rng from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/libvirt/schemas/storagevol.rng from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/af/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/am/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/ar/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/as/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/be/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/bg/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/bn/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/bn_IN/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/bs/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/ca/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/cs/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/cy/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/da/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/de/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/el/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/en_GB/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/es/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/et/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/eu_ES/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/fa/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/fi/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/fr/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/gl/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/gu/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/he/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/hi/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/hr/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/hu/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/hy/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/id/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/is/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/it/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/ja/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/ka/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/kn/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/ko/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/ku/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/lo/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/lt/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/lv/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/mk/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/ml/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/mr/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/ms/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/my/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/nb/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/nl/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/nn/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/nso/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/or/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/pa/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/pl/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/pt/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/pt_BR/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/ro/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/ru/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/si/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/sk/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/sl/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/sq/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/sr/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/sr@latin/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/sv/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/ta/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/te/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/th/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/tr/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/uk/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/ur/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/vi/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/zh_CN/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/zh_TW/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/locale/zu/LC_MESSAGES/libvirt.mo from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/man/man1/virsh.1.gz from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64
file /usr/share/man/man1/virt-xml-validate.1.gz from install of libvirt-0.8.2-22.el5.x86_64 conflicts with file from package libvirt-client-0.7.0-6.el5.x86_64

Error Summary
-------------

[root@calax-ying-01s ~]# rpm -qa | grep libvirt
libvirt-client-0.7.0-6.el5
libvirt-0.7.0-6.el5
libvirt-python-0.7.0-6.el5




Can anyone help to resolve these? I've tried googling and can't find anything that matches this.

Thanks!
blackc2004
 
Posts: 1
Joined: 2012/02/29 20:12:02

yum update confilcts with libvirt

Postby pschaff » 2012/03/03 15:10:28

Where did you get those packages? As far as I can see CentOS-5 never had libvirt-0.7.0-6.el5 nor libvirt-client anything. The only libvirt-client I can find anywhere is in the very problematic Atomic repo. From 5.6 updates to 5.7 libvirt went from 0.6.3-33.el5_5.3 to 0.8.2-15.el5.

Please provide more information about your system by running "./getinfo.sh package" and showing us the output file.
pschaff
Retired Moderator
 
Posts: 18277
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America

Re: yum update confilcts with libvirt

Postby vanecka » 2012/04/17 23:08:59

I would uninstall libvirt-client and libvirt first.
It could be a bit dicey but if you feel up to it:

#First check which packages depends on libvirt and libvirt-client:
rpm -q --whatrequires libvirt libvirt-client

#If no major packages depend on it, remove it (note all packages listed from previous command will be removed):
yum remove libvirt libvirt-client

#Reinstall libvirt:
yum install libvirt
vanecka
 
Posts: 27
Joined: 2010/01/28 21:05:11
Location: University of the Free State - South Africa


Return to CentOS 5 - General Support

Who is online

Users browsing this forum: No registered users and 5 guests